SOLVED CPANEL- 40037 - The following packages are missing from your system: [2022-02-17 02:34:12 -0600] cpanel-libzip-1.8.0-5.cp11102

Spirogg

Well-Known Member
Feb 21, 2018
695
151
43
chicago
cPanel Access Level
Root Administrator
hello I updated to edge to test more and I got error

Code:
[2022-02-17 02:34:12 -0600]   Problems were detected with cPanel-provided files which are controlled by packages.
[2022-02-17 02:34:12 -0600]   If you did not make these changes intentionally, you can correct them by running:
[2022-02-17 02:34:12 -0600]
[2022-02-17 02:34:12 -0600]   > /usr/local/cpanel/scripts/check_cpanel_pkgs --fix
[2022-02-17 02:34:12 -0600]   The following packages are missing from your system:
[2022-02-17 02:34:12 -0600]   cpanel-libzip-1.8.0-5.cp11102
[2022-02-17 02:34:12 -0600]   cpanel-libzip-devel-1.8.0-5.cp11102
Ran the correction in Terminal
Code:
/usr/local/cpanel/scripts/check_cpanel_pkgs --fix
and seems problem was fix.

Code:
[email protected]:~# /usr/local/cpanel/scripts/check_cpanel_pkgs --fix
[2022-02-17 02:34:12 -0600]
[2022-02-17 02:34:12 -0600]   Problems were detected with cPanel-provided files which are controlled by packages.
[2022-02-17 02:34:12 -0600]   If you did not make these changes intentionally, you can correct them by running:
[2022-02-17 02:34:12 -0600]
[2022-02-17 02:34:12 -0600]   > /usr/local/cpanel/scripts/check_cpanel_pkgs --fix
[2022-02-17 02:34:12 -0600]   The following packages are missing from your system:
[2022-02-17 02:34:12 -0600]   cpanel-libzip-1.8.0-5.cp11102
[2022-02-17 02:34:12 -0600]   cpanel-libzip-devel-1.8.0-5.cp11102


[2022-02-17 02:34:56 -0600]   Maximum sync children set to 16 based on 10662M available memory.
[2022-02-17 02:34:56 -0600]   Downloading http://httpupdate.cpanel.net/ubuntu/pool/sha512
[2022-02-17 02:34:57 -0600]   Successfully verified signature for cpanel (key types: release).
[2022-02-17 02:34:57 -0600]   Downloading http://httpupdate.cpanel.net/ubuntu/pool/cpanel-libzip/cpanel-libzip-devel_1.8.0-5.cp11102_amd64.deb
[2022-02-17 02:34:57 -0600]   Downloading http://httpupdate.cpanel.net/ubuntu/pool/cpanel-libzip/cpanel-libzip_1.8.0-5.cp11102_amd64.deb
[2022-02-17 02:34:57 -0600]   Disabling service monitoring.
[2022-02-17 02:34:58 -0600]   Hooks system enabled.
[2022-02-17 02:34:58 -0600]   Checking for and running RPM::Versions 'pre' hooks for any Packages about to be installed
[2022-02-17 02:34:58 -0600]   All required 'pre' hooks have been run
[2022-02-17 02:34:58 -0600]   No packages need to be uninstalled
[2022-02-17 02:34:58 -0600]   Installing new packages: cpanel-libzip-devel_1.8.0-5.cp11102_amd64.deb cpanel-libzip_1.8.0-5.cp11102_amd64.deb
[2022-02-17 02:34:59 -0600]   (Reading database ... 167246 files and directories currently installed.)
[2022-02-17 02:34:59 -0600]   Preparing to unpack cpanel-libzip-devel_1.8.0-5.cp11102_amd64.deb ...
[2022-02-17 02:35:00 -0600]   Unpacking cpanel-libzip-devel:amd64 (1.8.0-5.cp11102) over (1.8.0-5.cp11102) ...
[2022-02-17 02:35:01 -0600]   Preparing to unpack cpanel-libzip_1.8.0-5.cp11102_amd64.deb ...
[2022-02-17 02:35:02 -0600]   Unpacking cpanel-libzip:amd64 (1.8.0-5.cp11102) over (1.8.0-5.cp11102) ...
[2022-02-17 02:35:02 -0600]   Setting up cpanel-libzip:amd64 (1.8.0-5.cp11102) ...
[2022-02-17 02:35:03 -0600]   Setting up cpanel-libzip-devel:amd64 (1.8.0-5.cp11102) ...
[2022-02-17 02:35:03 -0600]   Processing triggers for libc-bin (2.31-0ubuntu9.2) ...
[2022-02-17 02:35:04 -0600]   Hooks system enabled.
[2022-02-17 02:35:04 -0600]   Checking for and running RPM::Versions 'post' hooks for any Packages about to be installed
[2022-02-17 02:35:04 -0600]   All required 'post' hooks have been run
[2022-02-17 02:35:04 -0600]   Restoring service monitoring.
[email protected]:~#
- but just reporting maybe they can fix this so not to have this error and everyone would need to run the command from terminal to fix it :)
 
Last edited by a moderator:

Spirogg

Well-Known Member
Feb 21, 2018
695
151
43
chicago
cPanel Access Level
Root Administrator
Either 100.0.9 or 102. I can’t remember now. Sorry for late response. Or it was just a hiccup in my installation.
Thanks
 
  • Like
Reactions: cPRex

Spirogg

Well-Known Member
Feb 21, 2018
695
151
43
chicago
cPanel Access Level
Root Administrator
Interesting - if you see that happen again, could you make a ticket so we could check it out?
happened again 102.0.5 to 102.0.6 and if I run the command multiple times it still shows that same error instead of saying its fixed.

Code:
[email protected]:~# /usr/local/cpanel/scripts/check_cpanel_pkgs --fix
[2022-03-04 19:54:39 -0600]
[2022-03-04 19:54:39 -0600]   Problems were detected with cPanel-provided files which are controlled by packages.
[2022-03-04 19:54:39 -0600]   If you did not make these changes intentionally, you can correct them by running:
[2022-03-04 19:54:39 -0600]
[2022-03-04 19:54:39 -0600]   > /usr/local/cpanel/scripts/check_cpanel_pkgs --fix
[2022-03-04 19:54:39 -0600]   The following packages are missing from your system:
[2022-03-04 19:54:39 -0600]   cpanel-libzip-1.8.0-5.cp11102
[2022-03-04 19:54:39 -0600]   cpanel-libzip-devel-1.8.0-5.cp11102

I am using a developers license
 

Spirogg

Well-Known Member
Feb 21, 2018
695
151
43
chicago
cPanel Access Level
Root Administrator
already a case for this here:

We've opened an internal case for our development team to investigate this further. For reference, the case number is CPANEL-40037.

Follow this article to receive an email notification when a solution is published in the product.
 
Last edited:
  • Like
Reactions: cPRex

Spirogg

Well-Known Member
Feb 21, 2018
695
151
43
chicago
cPanel Access Level
Root Administrator
Thanks for posting that - I'm following that case and I'll post back here once I have an update!
Ok thanks. I get an email notification every morning about this. :(
- not just updating versions. It’s consistently happening every morning.
thanks